Package com.databricks.jdbc.client.impl.thrift.commons

## Class DatabricksThriftAccessor

- java.lang.Object
- - com.databricks.jdbc.client.impl.thrift.commons.DatabricksThriftAccessor

    public class DatabricksThriftAccessor
    extends Object

### Constructor Summary

Constructors
`DatabricksThriftAccessor​(IDatabricksConnectionContext connectionContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DatabricksResultSet` `execute​(TExecuteStatementReq request, IDatabricksStatement parentStatement, IDatabricksSession session, StatementType statementType)`
`TFetchResultsResp` `getResultSetResp​(TOperationHandle operationHandle, String context)`
`org.apache.thrift.TBase` `getThriftResponse​(org.apache.thrift.TBase request, CommandName commandName, IDatabricksStatement parentStatement)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatabricksThriftAccessor

    public DatabricksThriftAccessor​(IDatabricksConnectionContext connectionContext)
                             throws DatabricksParsingException

Throws:
  `DatabricksParsingException`

### Method Detail

#### getThriftResponse

    public org.apache.thrift.TBase getThriftResponse​(org.apache.thrift.TBase request,
                                                     CommandName commandName,
                                                     IDatabricksStatement parentStatement)
                                              throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### getResultSetResp

    public TFetchResultsResp getResultSetResp​(TOperationHandle operationHandle,
                                              String context)
                                       throws DatabricksHttpException

Throws:
  `DatabricksHttpException`

#### execute

    public DatabricksResultSet execute​(TExecuteStatementReq request,
                                       IDatabricksStatement parentStatement,
                                       IDatabricksSession session,
                                       StatementType statementType)
                                throws SQLException

Throws:
  `SQLException`